/* Configurações Gerais do Body */
body {
    background: linear-gradient(0deg, var(--login-gradiante-background-1) 0%, var(--login-gradiante-background-2) 100%);
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

/* Configurações do Conteiner */
.container {
    width: 100%;
    max-width: 400px;
    padding: 20px;
}
.login {
    background-color: var(--container-background);
    padding: 30px 20px;
    border-radius: 10px;
    box-shadow: 0 4px 60px rgba(0, 0, 0, 0.8);
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* Configurações image */
.login-image img {
    width: 150px;
    height: 150px;
    object-fit: cover;
    border-radius: 50%;
    margin-bottom: 30px;
}

/* Configurações Título */
.login-title h1 {
    font-size: 28px;
    text-align: center;
    margin-bottom: 20px;
}

/* Configuração do Formulario */
.login-form {
    width: 100%;
}
.form-nickname,
.form-password {
    display: flex;
    flex-direction: column;
    margin-bottom: 20px;
}
.form-nickname label,
.form-password label {
    color: var(--label-cor-texto);
    font-size: 16px;
    margin-bottom: 5px;
    font-weight: var(--font-weight-label);
}
input[type="text"],
input[type="password"] {
    border: var(--input-border);
    border-radius: var(--input-border-radius);
    padding: var(--input-padding);
    font-size: 14px;
    width: 100%;
    outline: none; 
}
input[type="text"]:focus,
input[type="password"]:focus {
    border: var(--input-border-hover);
}

/* Configuração do ver Password */
.see-password{
    display: flex;
    align-items: center;
    justify-content: flex-end;
    margin-top: 15px;
    margin-bottom: 20px;
    gap: 5px;
    cursor: pointer;
}
.see-password input[type="checkbox"] {
    display: none;
}
.see-password samp {
    color: var(--label-cor-texto);
    font-size: 16px;
    font-weight: var(--font-weight-label);
    cursor: pointer;
}
.see-password i {
    color: var(--cor-principal);
    font-size: 16px;
}

/* Configuração do Botão */
.btn-entrar {
    width: 100%;
    background-color: var(--btn-entrar-background);
    color: var(--btn-entrar-color);
    padding: 12px;
    font-size: 16px;
    font-weight: var(--btn-font-weight);
    border: none;
    border-radius: var(--btn-border-radius);
    cursor: pointer;
    transition: var(--btn-transition);
}
.btn-entrar:hover {
    background-color: var(--btn-entrar-background-hover);
}